# Plist

    public struct Plist<V> : FieldCoderType where V : Decodable, V : Encodable

A `FieldCoderType` that implements Binary-Plist encoding and decoding of `Codable` values.

Important

Due to restrictions of `JSONEncoder`, the value will be contained in single-item array before encoding.

### FieldCoderType

- `FieldStoredValue`

  #### Declaration

  Swift

      public typealias FieldStoredValue = V

- `encodeToStoredData(_:)`

  #### Declaration

  Swift

      public static func encodeToStoredData(_ fieldValue: FieldStoredValue?) -> Data?

- `decodeFromStoredData(_:)`

  #### Declaration

  Swift

      public static func decodeFromStoredData(_ data: Data?) -> FieldStoredValue?